Trusted by the world’s leading companies

syncfusion trusted companies
Syncfusion Feedback

Overview

The Angular Breadcrumb is a graphical user interface that serves as a navigation header for your web application or site. It helps to identify or highlight the current location within the hierarchical structure of a website. It has several built-in features such as templates, icons, binding to location, overflow mode, and UI customizations.


Users tend to understand visual information better than text. Include icons or sprite images to the right or left of the Breadcrumb items to provide a visual representation of their corresponding actions.


UI customization with templates

Templates are used to create custom user experiences. Breadcrumb provides a template for each Breadcrumb item and its separator to customize or change the appearance of the entire Breadcrumb UI with HTML elements or other components.


Limit items with overflow mode

Overflow mode limits the number of items to be displayed in the view when the container width exceeds a Breadcrumb item’s width or the maximum item count. The following are the different overflow modes supported in the Breadcrumb component.

Menu mode shows the number of Breadcrumb items that can be accommodated within the container space and creates a submenu with the remaining items.

Collapsed mode

Collapsed mode shows the first and last Breadcrumb items and hides the remaining items with a collapsed icon. When the collapsed icon is clicked, all items become visible and navigable.

Wrap mode

Wrap mode wraps the items to multiple lines when the Breadcrumb’s width exceeds the container space.

Scroll mode

Scroll mode shows an HTML scroll bar when the Breadcrumb’s width exceeds the container space.

Hidden mode

Hidden mode shows the maximum number of items possible in the container space and hides the remaining items. Clicking on a previous item will make the hidden item visible.

None mode

None mode shows all the items on a single line.


Bind to location

Breadcrumb items can be automatically generated based on the current location of the user within the website or by providing the URL to the Breadcrumb component. The auto generated items can be customized using templates and item render events.

Note: The previous sample is hosted in a different location and Breadcrumb items are generated based on it.


Accessibility

  • Fully supports WAI-ARIA accessibility practices to work with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Based on WCAG 2.0 standards, we designed the UI element visuals such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.

Developer-friendly APIs

Developers can control the appearance and behaviors of the Breadcrumb component using a rich set of APIs.

Built-in themes

The Angular Breadcrumb supports built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these built-in themes or create new themes to achieve the desired look and feel either by simply overriding SASS variables or using the Theme Studio application.


Angular Breadcrumb Code Example

Easily get started with the Angular Breadcrumb using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular Breadcrumb Example that shows you how to configure the Breadcrumb in Angular.

<ejs-breadcrumb [enableNavigation]="false">
    <e-breadcrumb-items>
        <e-breadcrumb-item iconCss="e-icons e-home" url="https://ej2.syncfusion.com/home/angular.html"></e-breadcrumb-item>
        <e-breadcrumb-item text="Components" url="https://ej2.syncfusion.com/angular/demos/#/material/grid/over-view"></e-breadcrumb-item>
        <e-breadcrumb-item text="Navigations" url="https://ej2.syncfusion.com/angular/demos/#/material/menu/default"></e-breadcrumb-item>
        <e-breadcrumb-item text="Breadcrumb" url="./breadcrumb/default"></e-breadcrumb-item>
    </e-breadcrumb-items>
</ejs-breadcrumb>
import { Component } from '@angular/core';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

@Component({
selector: 'app-root',
template: `<!-- To Render Breadcrumb with items. -->
        <ejs-breadcrumb [enableNavigation]="false">
            <e-breadcrumb-items>
                <e-breadcrumb-item iconCss="e-icons e-home" url="https://ej2.syncfusion.com/home/angular.html"></e-breadcrumb-item>
                <e-breadcrumb-item text="Components" url="https://ej2.syncfusion.com/angular/demos/#/material/grid/over-view"></e-breadcrumb-item>
                <e-breadcrumb-item text="Navigations" url="https://ej2.syncfusion.com/angular/demos/#/material/breadcrumb/default"></e-breadcrumb-item>
                <e-breadcrumb-item text="Breadcrumb" url="./breadcrumb/default"></e-breadcrumb-item>
            </e-breadcrumb-items>
        </ejs-breadcrumb>`
})

export class AppComponent {}

Other supported frameworks

The Breadcrumb component is also available in Blazor, React, Vue, and JavaScript frameworks. Check it out on other platforms at the links below:




140+ ANGULAR UI COMPONENTS

Standalone UI SDKs

Integrate the DataGrid, Chart, Scheduler, Gantt, Rich Text Editor, File Manager, and Diagram UI components into applications to enable rich interaction and visualization, delivering a seamless user experience.

Document Solutions

Integrate the PDF Viewer, DOCX Editor, Spreadsheet Editor, and document-processing libraries into the Angular applications to enable a smooth user experience.

Frequently Asked Questions

  • Support for an overflow mode to limit the number of Breadcrumb items displayed.

  • Built-in support for icons, binding to location, and UI customization with templates for Breadcrumb items.

  • Breadcrumb item text can be dynamically changed using events.
  • One of the best Angular Breadcrumb in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Expansive learning resources such as demos, documentation, and videos to learn quickly and get started with Angular Breadcrumb.

You can find our Angular Breadcrumb demo here.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

See Real Success Stories

Developers around the world trust Syncfusion’s Essential Studio to simplify complex projects and speed up delivery. With a vast library of UI controls, powerful SDKs, and reliable support, Essential Studio helps teams build enterprise-ready applications with confidence.

Read Our Customer Stories


Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

Trusted by the world’s leading companies

Syncfusion Trusted Companies
Syncfusion Feedback

Overview

The React Breadcrumb is a graphical user interface that serves as a navigation header for your web application or site. It helps to identify or highlight the current location within the hierarchical structure of a website. It has several built-in features such as templates, icons, binding to location, overflow mode, and UI customizations.


Users tend to understand visual information better than text. Include icons or sprite images to the right or left of the Breadcrumb items to provide a visual representation of their corresponding actions.


UI customization with templates

Templates are used to create custom user experiences. Breadcrumb provides a template for each Breadcrumb item and its separator to customize or change the appearance of the entire Breadcrumb UI with HTML elements or other components.


Limit items with overflow mode

Overflow mode limits the number of items to be displayed in the view when the container width exceeds a Breadcrumb item’s width or the maximum item count. The following are the different overflow modes supported in the React Breadcrumb component.

Menu mode shows the number of Breadcrumb items that can be accommodated within the container space and creates a submenu with the remaining items.

Collapsed mode

Collapsed mode shows the first and last Breadcrumb items and hides the remaining items with a collapsed icon. When the collapsed icon is clicked, all items become visible and navigable.

Wrap mode

Wrap mode wraps the items to multiple lines when the Breadcrumb’s width exceeds the container space.

Scroll mode

Scroll mode shows an HTML scroll bar when the Breadcrumb’s width exceeds the container space.

Hidden mode

Hidden mode shows the maximum number of items possible in the container space and hides the remaining items. Clicking on a previous item will make the hidden item visible.

None mode

None mode shows all the items on a single line.


Bind to location

Breadcrumb items can be automatically generated based on the current location of the user within the website or by providing a URL to the Breadcrumb component. The auto generated items can be customized using templates and item render events.

Note: The previous sample is hosted in a different location and Breadcrumb items are generated based on it.


Accessibility

  • Fully supports WAI-ARIA accessibility practices to work with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Based on WCAG 2.0 standards, we designed the UI element visuals such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.

Developer-friendly APIs

Developers can control the appearance and behaviors of the Breadcrumb using a rich set of APIs.

Built-in themes

The React Breadcrumb supports built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these built-in themes or create new themes to achieve the desired look and feel either by simply overriding SASS variables or using the Theme Studio application.


React Breadcrumb Code Example

Easily get started with the React Breadcrumb using a few simple lines of TSX code example as demonstrated below. Also explore our React Breadcrumb Example that shows you how to render and configure a Breadcrumb in React.

import { BreadcrumbComponent, BreadcrumbItemDirective, BreadcrumbItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDom from 'react-dom';
class App extends React.Component<{}, {}> {
   public render() {
        return (
            <BreadcrumbComponent enableNavigation={false}>
                <BreadcrumbItemsDirective>
                    <BreadcrumbItemDirective iconCss="e-icons e-home" url="https://ej2.syncfusion.com/home/react.html#platform" />
                    <BreadcrumbItemDirective text="Components" url="https://ej2.syncfusion.com/react/demos/#/material/grid/overview/" />
                    <BreadcrumbItemDirective text="Navigations" url="https://ej2.syncfusion.com/react/demos/#/material/menu/default" />
                    <BreadcrumbItemDirective text="Breadcrumb" url="./breadcrumb/default" />
                </BreadcrumbItemsDirective>
            </BreadcrumbComponent>
        );
    }
}
ReactDom.render(<App />,document.getElementById('element'));



Other Supported Frameworks

In addition to React, built-in integration is available for these major frameworks.

Discover Syncfusion’s Complete React Component Ecosystem

Explore over 140+ React UI components featuring established, production-ready controls and the latest pure React components built natively for modern web app development.

  • React Components
  • Pure React Components

Standalone UI SDKs

Integrate the DataGrid, Chart, Scheduler, Gantt, Rich Text Editor, File Manager, and Diagram UI components into applications to enable rich interaction and visualization, delivering a seamless user experience.

Document Solutions

Integrate the PDF Viewer, DOCX Editor, Spreadsheet Editor, and document-processing libraries into the React applications to enable a smooth user experience.

Frequently Asked Questions

  • Support for an overflow mode to limit the number of Breadcrumb items displayed.

  • Built-in support for icons, binding to location, and UI customization with templates for Breadcrumb items.

  • Accessibility features that make it especially useful in dynamic content changes.
  • One of the best React Breadcrumb components on the market, offering a feature-rich UI.
  • Simple configuration and API.
  • Support for all modern browsers.
  • Expansive learning resources, such as demos and documentation, to learn quickly and get started fast.

You can find our React Breadcrumb demo, which demonstrates how to render and configure the Breadcrumb.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

See Real Success Stories

Developers around the world trust Syncfusion’s Essential Studio to simplify complex projects and speed up delivery. With a vast library of UI controls, powerful SDKs, and reliable support, Essential Studio helps teams build enterprise-ready applications with confidence.

Read Our Customer Stories


Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon